| Qore DataProvider Module Reference 3.2.2

Loading...
Searching...
No Matches
Public Attributes | List of all members
DataProvider::DataFieldInfo Struct Reference

describes a data type More...

`#include <AbstractDataField.qc.dox.h>`

## Public Attributes
*list< hash< AllowedValueInfo > > | allowed_values
| for enum fields; allowed values
*bool | allowed_values_creatable
| Does the field accept values not defined in allowed_values too?
*hash< auto > | attr
| User-defined attributes set on the field.
auto | default_value
| the default value for the field
*string | desc
| the description of the field, if available, with markdown formatting
string | display_name
| The display name of the field.
*list< hash< AllowedValueInfo > > | element_allowed_values
| for enum fields; allowed values for elements for list types
*bool | element_allowed_values_creatable
| Do elements of the field for list types accept values not defined in element_allowed_values too?
auto | example_value
| Any example value for the field.
bool | multiselect
| Are allowed values elements of the list's element type that indicate what values the list can have?
string | name
| the name of the field
*string | short_desc
| The short description of the field in plain text.
hash< DataTypeInfo > | type
| Type info.
string | unique_key
| Unique field identifier.

## Detailed Description

describes a data type